> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.paradex.trade/api/prod/staking/get-staking-config/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.paradex.trade/_mcp/server. # Get staking configuration GET https://api.prod.paradex.trade/v1/staking/config Returns staking tiers with minimum stake amounts, fee rates, and XP multipliers Reference: https://docs.paradex.trade/api/prod/staking/get-staking-config ## Response ### 200 OK - `dime_fee_discount_pct` (string, optional) — DIME fee payment discount percentage (e.g. "20") - `tiers` (list of responses.StakingTierResp, optional) — All available staking tiers sorted by threshold ## Types ### responses.StakingTierResp - `fee_rates` (map from string to string, optional) — Absolute fee rates per asset type and order category - `min_staked` (string, optional) — Minimum DIME staked to qualify for this tier - `tier_name` (string, optional) — Display name of the staking tier - `xp_multiplier` (string, optional) — XP earnings multiplier for this tier ## Examples **Response** ```json { "dime_fee_discount_pct": "string", "tiers": [ { "fee_rates": {}, "min_staked": "50000", "tier_name": "Silver", "xp_multiplier": "1.3" } ] } ``` **SDK Code** ```python import requests url = "https://api.prod.paradex.trade/v1/staking/config" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://api.prod.paradex.trade/v1/staking/config'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.prod.paradex.trade/v1/staking/config" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.prod.paradex.trade/v1/staking/config") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.prod.paradex.trade/v1/staking/config") .asString(); ``` ```php request('GET', 'https://api.prod.paradex.trade/v1/staking/config'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.prod.paradex.trade/v1/staking/config"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://api.prod.paradex.trade/v1/staking/config")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```